Title: Charte
Slug: charte
Authors: AFPy


Le but de l'Association Francophone Python (AFPy) est d'assurer la promotion du langage
de programmation Python auprès du plus large public possible.

Nous diffusons nos connaissances et sommes ouverts aux apports extérieurs car la
diversité, l'écoute réciproque, la solidarité et la démocratie élargissent les horizons
et accroissent le potentiel de l'AFPy et de chacun de ses membres. En conséquence, nous
encourageons donc la participation aux divers évènements que nous (co-)organisons de
toutes les personnes de la communauté Python ou souhaitant en faire partie. Dans ce
cadre, l'AFPy souhaite que toute personne intéressée soit accueillie de manière agréable
et enrichissante.

L'AFPy s'attend donc à ce que chaque membre de l'association fasse preuve de respect et
de courtoisie envers les autres membres de l'association et les personnes rencontrées
dans le cadre de tout évènement organisé (formellement ou non) par l'association.

Ce texte est notamment inspiré par le code de conduite établi par l'Ada Initiative et
par la loi française de lutte contre les discriminations.

## La version « courte »

L'AFPy souhaite éviter tout type de discrimination, que ce soit sur le sexe,
l'orientation sexuelle, le handicap, l'apparence physique, l'origine ou la religion, et
sous quelque forme que ce soit (parole, image, texte et autre). Bien évidemment, ceci
n'est pas une liste exhaustive.

L'AFPy reconnaît cependant la légitimité de minorités qui voudraient mener des actions
de soutien à destination de leurs propres membres, en vue de favoriser le rééquilibrage
de leur représentation au sein de la communauté entière.

Bien que l'AFPy ait pour but la promotion de Python dans le monde francophone,
l'association s'engage à accueillir chacun, quelle que soit son langage de programmation
ou sa langue maternelle.

L'AFPy attend de ses membres un langage et un style adaptés à une audience variée. Les
allusions sexuelles ou à caractère raciste ne sont en aucun cas tolérées, quel que soit
leur support.

Soyez poli·e. N'insultez personne. Discrimination et harcèlement sont à exclure aussi
bien dans les écrits, les visuels, les paroles et les actes, et ce quelle que soit leur
nature (sexuelle, raciste, religieuse, sociale…).

Le non respect de ces règles de bienséance pourra entraîner l'exclusion de l'évènement,
à la seule discrétion d'un ou plusieurs organisateurs, ou de l'association, après
délibération du comité directeur, ainsi que de tout service proposé par l'AFPy (planète
AFPy, blog, canaux IRC).

## La version « longue »

### Champ d'application

Ces bonnes pratiques s'appliquent dans le cadre de tout évènement (co-)organisé par
l'AFPy de manière directe ou indirecte à savoir :

* les conférences (PyconFR, évènement à la cantine et autre),
* les canaux IRC ou XMPP ou autre messagerie instantanée,
* planète Python,
* le blog,
* la liste de diffusion,
* tout évènement ou vous représentez l'AFPy, y compris les rencontres informelles (notamment AFPyros).

### Définition de la discrimination

La discrimination inclut, selon la loi française, « la situation dans laquelle, sur le fondement de son appartenance ou de sa non-appartenance, vraie ou supposée, à une ethnie ou une race, sa religion, ses convictions, son âge, son handicap, son orientation ou identité sexuelle ou son sexe, une personne est traitée de manière moins favorable qu'une autre ne l'est, ne l'a été ou ne l'aura été dans une situation comparable ».

Sont donc proscrits :
* « tout agissement à connotation sexuelle, [subi] par une personne et ayant pour objet ou pour effet de porter atteinte à sa dignité ou de créer un environnement intimidant, hostile, dégradant, humiliant ou offensant » ;
* « le fait d'enjoindre à quiconque d'adopter un [tel] comportement ».

### Comportements à éviter (proscrire ?)

En référence à la définition qui précède, nous vous invitons à vous abstenir :
* de toute expression ou attitude inappropriées,
* de présenter des images sexuelles ou choquantes (notamment violentes),
* d'intimidation délibérée, de harcèlement, des contacts physiques inconvenants et non consentis.

### Traitement des incidents

En cas de harcèlement ou de discrimination commis par un participant, les organisateurs de l'évènement ou membres du comité directeur pourront prendre immédiatement les mesures qu'ils jugent appropriées et qui peuvent aller jusqu'à l'exclusion temporaire ou définitive d'un évènement.

## Signaler

Si vous êtes harcelé(e) ou victime de discrimination, ou si vous êtes témoin de
harcèlement ou de discrimination à l'égard d'autre(s) participant(e-s), ou si vous
craignez la survenue d'un incident, contactez sans attendre un membre organisateur (dans
le cas d'un évènement) ou un membre du comité directeur de l'AFPy.

Vous pouvez également écrire à l'adresse [diversite@afpy.org](mailto:diversite@afpy.org).
